import request from '@/utils/request'

// 查询优惠券用户领取记录列表
export function listStoreCouponIssueUser(query) {
  return request({
    url: '/live/coupon/issue/user/list',
    method: 'get',
    params: query
  })
}

// 查询优惠券用户领取记录详细
export function getStoreCouponIssueUser(id) {
  return request({
    url: '/live/coupon/issue/user/' + id,
    method: 'get'
  })
}

// 新增优惠券用户领取记录
export function addStoreCouponIssueUser(data) {
  return request({
    url: '/live/coupon/issue/user',
    method: 'post',
    data: data
  })
}

// 修改优惠券用户领取记录
export function updateStoreCouponIssueUser(data) {
  return request({
    url: '/live/coupon/issue/user',
    method: 'put',
    data: data
  })
}

// 删除优惠券用户领取记录
export function delStoreCouponIssueUser(id) {
  return request({
    url: '/live/coupon/issue/user/' + id,
    method: 'delete'
  })
}

// 导出优惠券用户领取记录
export function exportStoreCouponIssueUser(query) {
  return request({
    url: '/live/coupon/issue/user/export',
    method: 'get',
    params: query
  })
}
